Oct 222011
 

Update your ESXi 4.0 installations to either 4.0 Update 3 or 4.1 before you upgrade your vCenter Server to version 5.0!

http://kb.vmware.com/kb/2007269